//---------------------------------------------------------------------------

#ifndef BoardPieceH
#define BoardPieceH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#define NUM_BITMAPS 6

//---------------------------------------------------------------------------
class PACKAGE TBoardPiece : public TImage
{
private:
  int iActivePicture;
  Graphics::TBitmap *pBitmap[NUM_BITMAPS];
protected:
public:
  __fastcall TBoardPiece(TComponent* Owner);
  __fastcall ~TBoardPiece();
  void ActivatePicture(const int nIndex);
  bool SetPicture(int nIndex, Graphics::TBitmap * pPassedBitmap);
  int GetPictureID();
__published:
};
//---------------------------------------------------------------------------
#endif
