//---------------------------------------------------------------------------

#ifndef EngOthelloH
#define EngOthelloH
//---------------------------------------------------------------------------
#include <Classes.hpp>

#include "GameClasses.h"
#include "EngGame.h"

//---------------------------------------------------------------------------
class OthelloEngine : public GameEngine
{
private:
  bool __fastcall FindInDir(int nOwnColour,int nStartX,int nStartY,int nDX,int nDY);
  bool __fastcall TurnInDir(int nOwnColour,int nStartX,int nStartY,int nDX,int nDY);
  bool CanPlayAt(int nPos,int nOwnColour);
  bool PlayerHasMove(const int nColour);
protected:
  void InitBoard(void);
  int GenerateMoves(TMoveList *aMoves,int nColour);
  bool IsEnded(const int nColour,int *nScoreEnded);
public:
   __fastcall OthelloEngine(TAlgorithmType nType);
  bool ApplyMove(const TSingleMove nPos,const int nColour,
      const int nMoveType);
  int MoveRepresentation(TSingleMove *nMove, char *sMove);
  void Str2Move(char *sMove,TSingleMove *nMove);

__published:
};
//---------------------------------------------------------------------------
#endif
