//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "EngOthelloLev3.h"
#pragma package(smart_init)

//---------------------------------------------------------------------------

__fastcall OthelloEngineLev3::OthelloEngineLev3(TAlgorithmType nType)
  : OthelloEngineLev2(nType)
{
}

// ---------------------------------------------------------------------------
// adjustment for calculation at the end, at the end
// it only matters how much stones we have, not which ones

signed long int OthelloEngineLev3::EvaluatePos(const int nColour)
{
  // TODO: now we calculate only on move number at start of the
  // search, we should also consider the current move number
  // in the tree to search on.  Difference will be marginal however
  // but this can be calculated by the user, the other less
  if (GetHistoryIndex()>42)
    return GameEngine::EvaluatePos(nColour);
  else
    return OthelloEngineLev2::EvaluatePos(nColour);
}

// ---------------------------------------------------------------------------
// eof



