//---------------------------------------------------------------------------

#ifndef EngTicTacToeH
#define EngTicTacToeH
//---------------------------------------------------------------------------
#include <Classes.hpp>

#include "GameClasses.h"
#include "EngGame.h"
#include "AlgorithmBase.h"

//---------------------------------------------------------------------------
class EngTicTacToe : public GameEngine
{
private:
  bool CanPlayAt(int nPos,int nOwnColour);
protected:
  void InitBoard(void);
  int GenerateMoves(TMoveList *aMoves,int nColour);
public:
   __fastcall EngTicTacToe(TAlgorithmType nType);
  bool ApplyMove(const TSingleMove nPos,const int nColour,
      const int nMoveType);
  bool IsEnded(const int nColour,int *nScoreEnded);
  virtual signed long int EvaluatePos(const int nColour);
  int MoveRepresentation(TSingleMove *nMove, char *sMove);
  void Str2Move(char *sMove,TSingleMove *nMove);
__published:
};
//---------------------------------------------------------------------------
#endif
 