//---------------------------------------------------------------------------


#ifndef BoardDraughtsUIH
#define BoardDraughtsUIH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>

#include "BoardPiece.h"

#define NUM_DRAUGHTSSTONES 5

//---------------------------------------------------------------------------
class TDraughtsFrame : public TFrame
{
__published:	// IDE-managed Components
  TShape *Shape4;
  TBoardPiece *BoardPiece33;
  TPanel *DraughtsPanel;
  TShape *Shape2;
  TBoardPiece *BoardPiece1;
  TShape *Shape63;
  TBoardPiece *BoardPiece27;
  TShape *Shape46;
  TShape *Shape66;
  TShape *Shape62;
  TShape *Shape58;
  TShape *Shape54;
  TShape *Shape55;
  TShape *Shape59;
  TShape *Shape67;
  TShape *Shape50;
  TShape *Shape48;
  TShape *Shape42;
  TShape *Shape38;
  TShape *Shape51;
  TShape *Shape47;
  TShape *Shape43;
  TShape *Shape39;
  TShape *Shape34;
  TShape *Shape30;
  TShape *Shape26;
  TShape *Shape22;
  TShape *Shape35;
  TShape *Shape31;
  TShape *Shape27;
  TShape *Shape23;
  TShape *Shape19;
  TShape *Shape17;
  TShape *Shape13;
  TShape *Shape15;
  TShape *Shape9;
  TShape *Shape11;
  TShape *Shape7;
  TBoardPiece *BoardPiece29;
  TBoardPiece *BoardPiece30;
  TBoardPiece *BoardPiece31;
  TBoardPiece *BoardPiece32;
  TBoardPiece *BoardPiece28;
  TBoardPiece *BoardPiece26;
  TBoardPiece *BoardPiece25;
  TBoardPiece *BoardPiece24;
  TBoardPiece *BoardPiece23;
  TBoardPiece *BoardPiece22;
  TBoardPiece *BoardPiece21;
  TBoardPiece *BoardPiece20;
  TBoardPiece *BoardPiece19;
  TBoardPiece *BoardPiece18;
  TBoardPiece *BoardPiece17;
  TBoardPiece *BoardPiece13;
  TBoardPiece *BoardPiece14;
  TBoardPiece *BoardPiece15;
  TBoardPiece *BoardPiece16;
  TBoardPiece *BoardPiece12;
  TBoardPiece *BoardPiece11;
  TBoardPiece *BoardPiece10;
  TBoardPiece *BoardPiece9;
  TBoardPiece *BoardPiece8;
  TBoardPiece *BoardPiece7;
  TBoardPiece *BoardPiece6;
  TBoardPiece *BoardPiece5;
  TBoardPiece *BoardPiece4;
  TBoardPiece *BoardPiece3;
  TBoardPiece *BoardPiece2;
  TShape *Shape1;
  TShape *Shape8;
  TShape *Shape10;
  TShape *Shape12;
  TShape *Shape14;
  TShape *Shape16;
  TShape *Shape18;
  TShape *Shape20;
  TShape *Shape21;
  TShape *Shape24;
  TShape *Shape25;
  TShape *Shape28;
  TShape *Shape29;
  TShape *Shape32;
  TShape *Shape33;
  TShape *Shape36;
  TShape *Shape37;
  TShape *Shape40;
  TShape *Shape41;
  TShape *Shape44;
  TShape *Shape45;
  TShape *Shape49;
  TShape *Shape52;
  TShape *Shape53;
  TShape *Shape56;
  TShape *Shape57;
  TShape *Shape60;
  TShape *Shape61;
  TShape *Shape64;
  TShape *Shape65;
  TShape *Shape68;
  TShape *Shape3;
  TShape *Shape5;
  TShape *Shape6;
  TShape *Shape69;
  TShape *Shape74;
  TShape *Shape75;
  TShape *Shape76;
  TShape *Shape77;
  TShape *Shape78;
  TShape *Shape79;
  TShape *Shape80;
  TShape *Shape81;
  TShape *Shape82;
  TShape *Shape83;
  TShape *Shape84;
  TShape *Shape85;
  TShape *Shape86;
  TShape *Shape87;
  TShape *Shape88;
  TShape *Shape89;
  TShape *Shape90;
  TShape *Shape91;
  TShape *Shape92;
  TShape *Shape93;
  TShape *Shape94;
  TShape *Shape95;
  TShape *Shape96;
  TShape *Shape97;
  TShape *Shape98;
  TShape *Shape99;
  TShape *Shape100;
  TShape *Shape101;
  TShape *Shape102;
  TShape *Shape103;
  TBoardPiece *BoardPiece34;
  TBoardPiece *BoardPiece35;
  TBoardPiece *BoardPiece36;
  TBoardPiece *BoardPiece37;
  TBoardPiece *BoardPiece38;
  TBoardPiece *BoardPiece39;
  TBoardPiece *BoardPiece40;
  TBoardPiece *BoardPiece41;
  TBoardPiece *BoardPiece42;
  TBoardPiece *BoardPiece43;
  TBoardPiece *BoardPiece44;
  TBoardPiece *BoardPiece45;
  TBoardPiece *BoardPiece46;
  TBoardPiece *BoardPiece47;
  TBoardPiece *BoardPiece48;
  TBoardPiece *BoardPiece49;
  TBoardPiece *BoardPiece50;
  TBoardPiece *BoardPiece51;
  TBoardPiece *BoardPiece52;
  void __fastcall BoardPieceMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall BoardPieceClick(TObject *Sender);
private:	// User declarations
  void ClearSelects(void);
  int nSelected;
  Graphics::TBitmap *pPiece[NUM_CHECKERSTONES];
public:		// User declarations
  __fastcall TDraughtsFrame(TComponent* Owner);
  int GetControlCount(void);
  int GetObjectValue(int nIndex);
  void SetPieceAt(int nPos, int nPiece);
};
//---------------------------------------------------------------------------
extern PACKAGE TDraughtsFrame *DraughtsFrame;
//---------------------------------------------------------------------------
#endif
