//---------------------------------------------------------------------------


#ifndef BoardTicTacToeUIH
#define BoardTicTacToeUIH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "BoardPiece.h"
#include <ExtCtrls.hpp>

#define NUM_TICTACTOESTONES 2

//---------------------------------------------------------------------------
class TTicTacToeFrame : public TFrame
{
__published:	// IDE-managed Components
  TPanel *TicTacToePanel;
  TShape *Shape2;
  TShape *Shape4;
  TShape *Shape1;
  TShape *Shape3;
  TBoardPiece *BoardPiece1;
  TBoardPiece *BoardPiece2;
  TBoardPiece *BoardPiece3;
  TBoardPiece *BoardPiece4;
  TBoardPiece *BoardPiece5;
  TBoardPiece *BoardPiece6;
  TBoardPiece *BoardPiece7;
  TBoardPiece *BoardPiece8;
  TBoardPiece *BoardPiece9;
  void __fastcall BoardPieceClick(TObject *Sender);
private:	// User declarations
  int nSelected;
  Graphics::TBitmap *pPiece[NUM_TICTACTOESTONES];
  void ClearSelects(void);
public:		// User declarations
  __fastcall TTicTacToeFrame(TComponent* Owner);
  int GetControlCount(void);
  int GetObjectValue(int nIndex);
  void SetPieceAt(int nPos, int nPiece);
};
//---------------------------------------------------------------------------
extern PACKAGE TTicTacToeFrame *TicTacToeFrame;
//---------------------------------------------------------------------------
#endif
