//---------------------------------------------------------------------------


#ifndef Connect4BoardUIH
#define Connect4BoardUIH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "BoardPiece.h"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TConnect4BoardFrame : public TFrame
{
__published:	// IDE-managed Components
  TBoardPiece *BoardPiece36;
  TBoardPiece *BoardPiece37;
  TBoardPiece *BoardPiece38;
  TBoardPiece *BoardPiece39;
  TBoardPiece *BoardPiece40;
  TBoardPiece *BoardPiece41;
  TBoardPiece *BoardPiece42;
  TBoardPiece *BoardPiece29;
  TBoardPiece *BoardPiece30;
  TBoardPiece *BoardPiece31;
  TBoardPiece *BoardPiece32;
  TBoardPiece *BoardPiece33;
  TBoardPiece *BoardPiece34;
  TBoardPiece *BoardPiece35;
  TBoardPiece *BoardPiece22;
  TBoardPiece *BoardPiece23;
  TBoardPiece *BoardPiece24;
  TBoardPiece *BoardPiece25;
  TBoardPiece *BoardPiece26;
  TBoardPiece *BoardPiece27;
  TBoardPiece *BoardPiece28;
  TBoardPiece *BoardPiece15;
  TBoardPiece *BoardPiece16;
  TBoardPiece *BoardPiece17;
  TBoardPiece *BoardPiece18;
  TBoardPiece *BoardPiece19;
  TBoardPiece *BoardPiece20;
  TBoardPiece *BoardPiece21;
  TBoardPiece *BoardPiece8;
  TBoardPiece *BoardPiece9;
  TBoardPiece *BoardPiece10;
  TBoardPiece *BoardPiece11;
  TBoardPiece *BoardPiece12;
  TBoardPiece *BoardPiece13;
  TBoardPiece *BoardPiece14;
  TBoardPiece *BoardPiece1;
  TBoardPiece *BoardPiece2;
  TBoardPiece *BoardPiece3;
  TBoardPiece *BoardPiece4;
  TBoardPiece *BoardPiece5;
  TBoardPiece *BoardPiece6;
  TBoardPiece *BoardPiece7;
  void __fastcall PieceMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall PieceMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
private:	// User declarations
  int nSelected;
  Graphics::TBitmap *pPiece[3];
protected:
public:		// User declarations
  __fastcall TConnect4BoardFrame(TComponent* Owner);
  void ClearSelects(void);
  int GetControlCount(void);
  void SetPieceAt(int nPos, int nPiece);
  int GetObjectValue(int nIndex);
};
//---------------------------------------------------------------------------
extern PACKAGE TConnect4BoardFrame *Connect4BoardFrame;
//---------------------------------------------------------------------------
#endif
