//---------------------------------------------------------------------------

#ifndef SelectGameUIH
#define SelectGameUIH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TSelectGameForm : public TForm
{
__published:	// IDE-managed Components
  TRadioButton *OthelloRadioButton;
  TRadioButton *CheckersRadioButton;
  TBitBtn *OKButton;
  TBitBtn *CancelButton;
  TBitBtn *RulesButton;
  TRadioButton *Connect4RadioButton;
  TRadioButton *TicTacToeRadioButton;
  TImage *GameImage;
  TBevel *Bevel1;
  void __fastcall OKButtonClick(TObject *Sender);
  void __fastcall CancelButtonClick(TObject *Sender);
  void __fastcall OthelloRadioButtonDblClick(TObject *Sender);
  void __fastcall CheckersRadioButtonDblClick(TObject *Sender);
  void __fastcall RulesButtonClick(TObject *Sender);
  void __fastcall Connect4RadioButtonDblClick(TObject *Sender);
  void __fastcall TicTacToeRadioButtonDblClick(TObject *Sender);
  void __fastcall OthelloRadioButtonEnter(TObject *Sender);
  void __fastcall CheckersRadioButtonEnter(TObject *Sender);
  void __fastcall Connect4RadioButtonEnter(TObject *Sender);
  void __fastcall TicTacToeRadioButtonEnter(TObject *Sender);
private:
  void StoreSelectedGame();	// User declarations
public:		// User declarations
  __fastcall TSelectGameForm(TComponent* Owner);
  int mSelectedGame;
};
//---------------------------------------------------------------------------
extern PACKAGE TSelectGameForm *SelectGameForm;
//---------------------------------------------------------------------------
#endif
