//---------------------------------------------------------------------------

#ifndef CheckersEngH
#define CheckersEngH
//---------------------------------------------------------------------------
#include <Classes.hpp>

#include "EngCheckersBase.h"

//---------------------------------------------------------------------------
class CheckersEngine : public EngCheckersBase
{
private:
  bool AddValidFrom(const int nPos, const int nOwnColour, TMoveList *aMoves,
            const int nMode);
  bool inline AddValidInDir(const int nPos, const int nOwnColour,
            TMoveList * aMoves,
            const int nDirHor, const int nDirVer, const bool bAllMoveTypes);

protected:
  void InitBoard(void);
public:
   __fastcall CheckersEngine(TAlgorithmType nType);
  signed long int EvaluatePos(const int nColour);
__published:
};

//---------------------------------------------------------------------------
#endif
