//---------------------------------------------------------------------------

#ifndef EngDraughtsH
#define EngDraughtsH
//---------------------------------------------------------------------------
#include <Classes.hpp>

#include "EngCheckersBase.h"

//---------------------------------------------------------------------------
class EngDraughts : public EngCheckersBase
{
private:
  bool AddValidFrom(const int nPos, const int nOwnColour, TMoveList *aMoves,
            const int nMode);
  bool inline AddValidInDir(const int nPos, const int nOwnColour,
            TMoveList * aMoves,
            const int nDirHor, const int nDirVer, const bool bAllMoveTypes);
  bool AddValidInDirQ(const int nPos,
      const int nOwnColour, TMoveList * aMoves,const int nDistance,
      const int nDirHor, const int nDirVer,const bool bCaptureMode);
protected:
  void InitBoard(void);
public:
   __fastcall EngDraughts(TAlgorithmType nType);
  signed long int EvaluatePos(const int nColour);
  bool ApplyMove(TSingleMove nMove,const int nPiece,
                const int nMoveType);
__published:
};

//---------------------------------------------------------------------------
#endif
