//---------------------------------------------------------------------------

#include "GameUICollection.h"

//---------------------------------------------------------------------------

OthelloUIData::OthelloUIData(void)
{
  mColourWhite      = clWhite;
  mColourBlack      = clBlack;
  mColourEmpty      = clLime;
  mColourSelectFrom = clYellow;
  mColourSelectTo   = clYellow;
  mColourSelectNone = clBlack;
  mGameType         = GAMETYPE_OTHELLO;
  mPieceShape       = stRoundSquare;
  strcpy(sName,"Othello");
  strcpy(sWhiteName,"White");
  strcpy(sBlackName,"Black");
}

//---------------------------------------------------------------------------

Connect4UIData::Connect4UIData(void)
{
  mColourWhite      = clYellow;
  mColourBlack      = clRed;
  mColourEmpty      = clWhite;
  mColourSelectFrom = clYellow;
  mColourSelectTo   = clYellow;
  mColourSelectNone = clNavy;
  mGameType         = GAMETYPE_CONNECT4;
  mPieceShape       = stCircle;
  strcpy(sName,"Connect4");
  strcpy(sWhiteName,"Yellow");
  strcpy(sBlackName,"Red");
}

//---------------------------------------------------------------------------

CheckersUIData::CheckersUIData(void)
{
  mColourWhite      = clFuchsia;
  mColourBlack      = clGreen;
  mColourEmpty      = clBlack;
  mColourSelectFrom = clRed;
  mColourSelectTo   = clYellow;
  mColourSelectNone = clBlack;
  mGameType         = GAMETYPE_CHECKERS_AMERICAN;
  mPieceShape       = stCircle;
  strcpy(sName,"Checkers");
  strcpy(sWhiteName,"White");
  strcpy(sBlackName,"Black");
}

//---------------------------------------------------------------------------

DraughtsUIData::DraughtsUIData(void)
{
  mColourWhite      = clFuchsia;
  mColourBlack      = clGreen;
  mColourEmpty      = clBlack;
  mColourSelectFrom = clRed;
  mColourSelectTo   = clYellow;
  mColourSelectNone = clBlack;
  mGameType         = GAMETYPE_DRAUGHTS;
  mPieceShape       = stCircle;
  strcpy(sName,"Draughts");
  strcpy(sWhiteName,"White");
  strcpy(sBlackName,"Black");
}

//---------------------------------------------------------------------------

TicTacToeUIData::TicTacToeUIData(void)
{
  mColourWhite      = clWhite;
  mColourBlack      = clBlack;
  mColourEmpty      = clLime;
  mColourSelectFrom = clYellow;
  mColourSelectTo   = clYellow;
  mColourSelectNone = clBlack;
  mGameType         = GAMETYPE_TICTACTOE;
  mPieceShape       = stSquare;
  strcpy(sName,"TicTacToe");
  strcpy(sWhiteName,"Cross");
  strcpy(sBlackName,"Circle");
}

//---------------------------------------------------------------------------
// eof

