//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "SelectCheckersUI.h"
#include "DocumentationUI.h"
#include "GameUICollection.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSelectCheckersUIForm *SelectCheckersUIForm;

//---------------------------------------------------------------------------

__fastcall TSelectCheckersUIForm::TSelectCheckersUIForm(TComponent* Owner)
  : TForm(Owner)
{
  mSelectedGame = GAMETYPE_CHECKERS_AMERICAN;
}

//---------------------------------------------------------------------------

void __fastcall TSelectCheckersUIForm::RulesButtonClick(TObject *Sender)
{
  DocumentationForm->IE->Navigate(WideString(ExtractFilePath(ParamStr(0))+"rules.html#Checkers"));
  DocumentationForm->ShowModal();
}

//---------------------------------------------------------------------------

void __fastcall TSelectCheckersUIForm::ConfirmClick(TObject *Sender)
{
  if (SCheckersRadioButton->Checked)
    mSelectedGame = GAMETYPE_CHECKERS_SIMPLE;
  else if (ACheckersRadioButton->Checked)
    mSelectedGame = GAMETYPE_CHECKERS_AMERICAN;
  else
    mSelectedGame = GAMETYPE_DRAUGHTS;
  Close();
}

//---------------------------------------------------------------------------

void __fastcall TSelectCheckersUIForm::CancelButtonClick(TObject *Sender)
{
  mSelectedGame = -1;
  Close();
}
//---------------------------------------------------------------------------

